Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 219709 - www-plugins/libflashsupport - Linux support library for Adobe Flash 9, adds pulseaudio/esd/oss audio output and HTTPS/RTMPS support
Summary: www-plugins/libflashsupport - Linux support library for Adobe Flash 9, adds p...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: x86 Linux
: High enhancement (vote)
Assignee: Default Assignee for New Packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 300294
  Show dependency tree
 
Reported: 2008-04-29 11:45 UTC by Christian Häßler
Modified: 2013-06-01 12:35 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Ebuild for GIT-Version (libflashsupport-9999.ebuild,2.04 KB, text/plain)
2008-04-29 13:04 UTC, Christian Häßler
Details
reworked ebuild with amd64 support (libflashsupport-9999.ebuild,1.77 KB, text/plain)
2008-07-30 19:52 UTC, Patrick McLean
Details
minor fix (libflashsupport-9999.ebuild,1.77 KB, text/plain)
2008-07-30 19:59 UTC, Patrick McLean
Details
This should be completely working. (libflashsupport-9999.ebuild,1.77 KB, text/plain)
2008-07-30 20:03 UTC, Patrick McLean
Details
libflashsupport-9999.ebuild (libflashsupport-9999.ebuild,1.75 KB, text/plain)
2008-07-31 19:12 UTC, Patrick McLean
Details
Fixed ebuild with Marino's patch (libflashsupport-9999.ebuild,1.78 KB, text/plain)
2009-05-25 22:07 UTC, Kyle
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Häßler 2008-04-29 11:45:38 UTC
Cause with Version 1.2 of libflashsupport i have no sound when using flash i wrote this ebuild for the git version. This version is recommended by: http://www.pulseaudio.org/wiki/FlashPlayer9Solution

Reproducible: Always

Steps to Reproduce:
Comment 1 Christian Häßler 2008-04-29 13:04:54 UTC
Created attachment 151337 [details]
Ebuild for GIT-Version

This is not a really clean version of an ebuild but it works. If someone knows it better please improve.
Comment 2 Patrick McLean gentoo-dev 2008-07-30 19:52:55 UTC
Created attachment 161764 [details]
reworked ebuild with amd64 support

Here is totally reworked version, with amd64 support added. You will need to copy the pulseaudio libs from an x86 machine for pulseaudio support to work, at least until it is added to app-emulation/emul-linux-x86-soundlibs.
Comment 3 Patrick McLean gentoo-dev 2008-07-30 19:59:30 UTC
Created attachment 161766 [details]
minor fix

Was missing a space.
Comment 4 Patrick McLean gentoo-dev 2008-07-30 20:03:49 UTC
Created attachment 161770 [details]
This should be completely working.

OSS support was broken in my original 2 versions, it should work fine now.
Comment 5 Patrick McLean gentoo-dev 2008-07-31 19:12:35 UTC
Created attachment 161872 [details]
libflashsupport-9999.ebuild

Fix for building on x86, and cleanup.
Comment 6 Jose Marino 2009-04-22 16:13:20 UTC
Recently, the latest libflashsupport-9999.ebuild (from comment #5) stopped working for me. It seems it tries to run eautoreconf in the wrong directory:

$ cat /var/tmp/portage/www-plugins/libflashsupport-9999/temp/aclocal-13082.out
***** aclocal *****
***** aclocal
aclocal-1.10: `configure.ac' or `configure.in' is required

This patch fixes the issue for me.
--- a/libflashsupport-9999.ebuild	2009-04-22 12:01:05.000000000 -0400
+++ b/libflashsupport-9999.ebuild	2009-04-22 12:01:24.000000000 -0400
@@ -30,6 +30,7 @@
 
 src_unpack() {
 	git_src_unpack
+	cd "${WORKDIR}/${PN}"
 	eautoreconf
 }
 

Is this maybe caused by a bug in git.eclass?
Comment 7 Kyle 2009-05-25 22:07:16 UTC
Created attachment 192445 [details]
Fixed ebuild with Marino's patch
Comment 8 Jim Ramsay (lack) (RETIRED) gentoo-dev 2009-12-10 17:24:08 UTC
Good news: This is not needed for www-plugins/adobe-flash-10 any more, so I'm closing this bug.  libflashsupport-1.2 is sticking around since we do still have an old flash-9 in the tree, for which this is still needed.

You should be able to use the pulseaudio plugin for alsa with flash-10 with no troubles, or so I'm told.
Comment 9 Jim Ramsay (lack) (RETIRED) gentoo-dev 2010-05-03 13:58:16 UTC
Reopening for consideration with bug #300294
Comment 10 Pacho Ramos gentoo-dev 2012-06-16 12:00:01 UTC
this was dropped